## group-service 1.4.0

=== meson_options.txt ===
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')

option('admin_group', type: 'string', value: '', description: 'Set group for administrative accounts')
option('user_heuristics', type: 'boolean', value: true, description: 'Enable heuristics for guessing system vs. human users in the range 500-minimum-uid')
option('extra_admin_groups', type: 'array', value: [], description: 'Comma-separated list of extra groups that administrator users are part of')
option('minimum_uid', type: 'integer', value: 1000, description: 'Set minimum uid for human users')

option('systemd', type: 'boolean', value: false, description: 'Use systemd')
option('elogind', type: 'boolean', value: false, description: 'Use elogind')

option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('docbook', type: 'boolean', value: false, description: 'build documentation (requires xmlto)')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

## group-service 1.3.0

=== debian/changelog ===
group-service (1.3.0-3) unstable; urgency=medium

  * Upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jul 2022 10:38:19 +0200

group-service (1.3.0-2) unstable; urgency=medium

  * debian/control:
    + Improve SYNOPSES and LONG_DESCRIPTIONs.
  * debian/control:
    + Add D (libgroup-service-dev): libgroup-service1 (same version as
      dev:pkg).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jun 2022 15:48:11 +0200

group-service (1.3.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #1013176).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jun 2022 15:24:09 +0200

=== debian/control ===
Source: group-service
Section: utils
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           N0rbert <nrbrtx@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               meson (>= 0.53.0),
               cmake,
               pkg-config,
               libdbus-1-dev,
               systemd,
               libglib2.0-dev,
               libpolkit-gobject-1-dev,
               polkitd,
Standards-Version: 4.6.1
Homepage: https://github.com/zhuyaliang/group-service
Vcs-Browser: https://salsa.debian.org/debian-mate-team/group-service
Vcs-Git: https://salsa.debian.org/debian-mate-team/group-service.git
Rules-Requires-Root: no

Package: group-service
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manage local user groups via DBus
 Using DBus to manage local user groups, you can complete the addition
 and deletion of local user groups, add/remove users to/from groups, and
 change the name of local user groups.
 .
 This package provides the DBus service and is a helper service  for
 mate-user-admin.

Package: libgroup-service1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Manage local user groups via DBus (shared client library)
 Using DBus to manage local user groups, you can complete the addition
 and deletion of local user groups, add/remove users to/from groups, and
 change the name of local user groups.
 .
 This package provides the client library for accessing group-service.

Package: libgroup-service-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgroup-service1 (= ${binary:Version}),
Description: Manage local user groups via DBus (client library, development files)
 Using DBus to manage local user groups, you can complete the addition
 and deletion of local user groups, add/remove users to/from groups, and
 change the name of local user groups.
 .
 This package provides development headers of the client library
 for accessing group-service.

## group-service 1.4.0

=== debian/changelog ===
group-service (1.4.0-3) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060490).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:23:14 +0200

group-service (1.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062132

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 01:09:15 +0000

group-service (1.4.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc (Closes:
    #1052350).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Sep 2023 18:24:17 +0200

group-service (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_meson-build-fix.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 12:41:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            N0rbert <nrbrtx@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                meson (>= 0.53.0),
                cmake,
                pkg-config,
                libdbus-1-dev,
-               systemd,
+               systemd-dev,
                libglib2.0-dev,
                libpolkit-gobject-1-dev,
                polkitd,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/zhuyaliang/group-service
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/group-service
 Vcs-Git: https://salsa.debian.org/debian-mate-team/group-service.git
@@ -31,7 +31,10 @@
  This package provides the DBus service and is a helper service  for
  mate-user-admin.
 
-Package: libgroup-service1
+Package: libgroup-service1t64
+Provides: ${t64:Provides}
+Replaces: libgroup-service1
+Breaks: libgroup-service1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -50,7 +53,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgroup-service1 (= ${binary:Version}),
+         libgroup-service1t64 (= ${binary:Version}),
 Description: Manage local user groups via DBus (client library, development files)
  Using DBus to manage local user groups, you can complete the addition
  and deletion of local user groups, add/remove users to/from groups, and

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)

%:
	dh $@
	
override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/group-service-$1.tar.gz/ \
https://github.com/zhuyaliang/group-service/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
